//adc.c
#include "adc.h"

AT91PS_ADC a_pADC = AT91C_BASE_ADC;
AT91PS_PMC a_pPMC = AT91C_BASE_PMC;

void InitADC(void) {

  // Enable pheriferial clock for ADC
  a_pPMC->PMC_PCER |= 1 << AT91C_ID_ADC;

  // Hardware reset
  a_pADC->ADC_CR = 0x1;
  a_pADC->ADC_CR = 0x0;

  // 10 bit conversion, normal mode, max startup - simple&hold - prescaler time
  a_pADC->ADC_MR = 0x0F1F3F00;

  // Enable chanel CH4, CH5, CH6
  a_pADC->ADC_CHER = 0x70;

  // Enable ADC
  a_pADC->ADC_CR = 0x2;

}

